> ## Name

> cgSetSamplerState - initializes the state specified for a sampler parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetSamplerState( CGparameter param );

> ## Parameters

> param
>   The parameter handle.

> ## Return Values

> None.

> ## Description

> cgSetSamplerState sets the sampler state for a sampler parameter that was specified via a sampler_state block in a CgFX file. The corresponding sampler should be bound via the graphics API before this call is made.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgSetSamplerState was introduced in Cg 1.4.

> ## See Also

> cgCreateSamplerState, cgGetFirstSamplerState, cgGetNamedSamplerState, cgGetNextState